F6. Posts edited by Flow talk page manager get the wrong timestamp on LQT->Flow conversion (conversion time, not edit time), which makes the "recently active topics" sort option wrong
Closed, ResolvedPublic2 Story Points

Description

On pages that were converted from LQT to Flow, the "recently active topics" sort option doesn't work as expected. Many recently active topics are way down on the page while older topics are at the top of the board.

This can be checked in:

Related Objects

Ciencia_Al_Poder updated the task description. (Show Details)
Ciencia_Al_Poder raised the priority of this task from to Needs Triage.
Ciencia_Al_Poder added a subscriber: Ciencia_Al_Poder.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 10 2015, 1:31 PM
Jdforrester-WMF renamed this task from "recently active topics" sort option is wrong when there was a LQT->Flow conversion to Edited LQT posts get the wrong timestamp on Flow conversion (conversion time, not edit time), which makes the "recently active topics" sort option wrong.Jul 10 2015, 3:43 PM
Jdforrester-WMF set Security to None.
He7d3r added a subscriber: He7d3r.Jul 10 2015, 4:16 PM
Mattflaschen-WMF renamed this task from Edited LQT posts get the wrong timestamp on Flow conversion (conversion time, not edit time), which makes the "recently active topics" sort option wrong to Posts edited by Flow talk page manager get the wrong timestamp on LQT->Flow conversion (conversion time, not edit time), which makes the "recently active topics" sort option wrong.Jul 22 2015, 11:02 PM
Catrope edited a custom field.Jul 22 2015, 11:05 PM
Catrope triaged this task as High priority.Jul 22 2015, 11:53 PM
DannyH renamed this task from Posts edited by Flow talk page manager get the wrong timestamp on LQT->Flow conversion (conversion time, not edit time), which makes the "recently active topics" sort option wrong to F6. Posts edited by Flow talk page manager get the wrong timestamp on LQT->Flow conversion (conversion time, not edit time), which makes the "recently active topics" sort option wrong.Jul 23 2015, 12:42 AM

Change 226746 had a related patch set uploaded (by Mattflaschen):
Use post time 1 min for signature edit as well.

https://gerrit.wikimedia.org/r/226746

Change 226746 merged by jenkins-bot:
Use post time 1 min for signature edit as well.

https://gerrit.wikimedia.org/r/226746

If we get QA and product review of this done on this Monday, we can backport it then start the remaining conversions.

Checked on test.wikimedia.beta.wmflabs.org - "Recently active topics" sorts topics according to their updates that were done in LQT state; timestamps for updates are preserved upon conversion.

DannyH closed this task as Resolved.
DannyH moved this task from Product Review to Done on the Collaboration-Team-Archive-2015-2016 board.
DannyH added a subscriber: DannyH.

Change 227366 had a related patch set uploaded (by Mattflaschen):
Use post time 1 min for signature edit as well.

https://gerrit.wikimedia.org/r/227366

Change 227366 merged by jenkins-bot:
Use post time 1 min for signature edit as well.

https://gerrit.wikimedia.org/r/227366